diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/post-template.php ./wordpress-3.3/wp-includes/post-template.php
*** ./wordpress-3.2.1/wp-includes/post-template.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/post-template.php	2011-11-10 12:35:25.000000000 -0600
***************
*** 160,168 ****
   * @since 0.71
   *
   * @param string $more_link_text Optional. Content for when there is more text.
!  * @param string $stripteaser Optional. Teaser content before the more text.
   */
! function the_content($more_link_text = null, $stripteaser = 0) {
  	$content = get_the_content($more_link_text, $stripteaser);
  	$content = apply_filters('the_content', $content);
  	$content = str_replace(']]>', ']]&gt;', $content);
--- 160,168 ----
   * @since 0.71
   *
   * @param string $more_link_text Optional. Content for when there is more text.
!  * @param bool $stripteaser Optional. Strip teaser content before the more text. Default is false.
   */
! function the_content($more_link_text = null, $stripteaser = false) {
  	$content = get_the_content($more_link_text, $stripteaser);
  	$content = apply_filters('the_content', $content);
  	$content = str_replace(']]>', ']]&gt;', $content);
***************
*** 175,184 ****
   * @since 0.71
   *
   * @param string $more_link_text Optional. Content for when there is more text.
!  * @param string $stripteaser Optional. Teaser content before the more text.
   * @return string
   */
! function get_the_content($more_link_text = null, $stripteaser = 0) {
  	global $post, $more, $page, $pages, $multipage, $preview;
  
  	if ( null === $more_link_text )
--- 175,184 ----
   * @since 0.71
   *
   * @param string $more_link_text Optional. Content for when there is more text.
!  * @param bool $stripteaser Optional. Strip teaser content before the more text. Default is false.
   * @return string
   */
! function get_the_content($more_link_text = null, $stripteaser = false) {
  	global $post, $more, $page, $pages, $multipage, $preview;
  
  	if ( null === $more_link_text )
***************
*** 207,215 ****
  		$content = array($content);
  	}
  	if ( (false !== strpos($post->post_content, '<!--noteaser-->') && ((!$multipage) || ($page==1))) )
! 		$stripteaser = 1;
  	$teaser = $content[0];
! 	if ( ($more) && ($stripteaser) && ($hasTeaser) )
  		$teaser = '';
  	$output .= $teaser;
  	if ( count($content) > 1 ) {
--- 207,215 ----
  		$content = array($content);
  	}
  	if ( (false !== strpos($post->post_content, '<!--noteaser-->') && ((!$multipage) || ($page==1))) )
! 		$stripteaser = true;
  	$teaser = $content[0];
! 	if ( $more && $stripteaser && $hasTeaser )
  		$teaser = '';
  	$output .= $teaser;
  	if ( count($content) > 1 ) {
***************
*** 329,337 ****
  	$classes[] = 'status-' . $post->post_status;
  
  	// Post Format
- 	$post_format = get_post_format( $post->ID );
- 
  	if ( post_type_supports( $post->post_type, 'post-formats' ) ) {
  		if ( $post_format && !is_wp_error($post_format) )
  			$classes[] = 'format-' . sanitize_html_class( $post_format );
  		else
--- 329,337 ----
  	$classes[] = 'status-' . $post->post_status;
  
  	// Post Format
  	if ( post_type_supports( $post->post_type, 'post-formats' ) ) {
+ 		$post_format = get_post_format( $post->ID );
+ 
  		if ( $post_format && !is_wp_error($post_format) )
  			$classes[] = 'format-' . sanitize_html_class( $post_format );
  		else
***************
*** 432,443 ****
  		$classes[] = 'postid-' . $post_id;
  
  		// Post Format
! 		$post_format = get_post_format( $post->ID );
  
! 		if ( $post_format && !is_wp_error($post_format) )
! 			$classes[] = 'single-format-' . sanitize_html_class( $post_format );
! 		else
! 			$classes[] = 'single-format-standard';
  
  		if ( is_attachment() ) {
  			$mime_type = get_post_mime_type($post_id);
--- 432,445 ----
  		$classes[] = 'postid-' . $post_id;
  
  		// Post Format
! 		if ( post_type_supports( $post->post_type, 'post-formats' ) ) {
! 			$post_format = get_post_format( $post->ID );
  
! 			if ( $post_format && !is_wp_error($post_format) )
! 				$classes[] = 'single-format-' . sanitize_html_class( $post_format );
! 			else
! 				$classes[] = 'single-format-standard';
! 		}
  
  		if ( is_attachment() ) {
  			$mime_type = get_post_mime_type($post_id);
***************
*** 505,510 ****
--- 507,515 ----
  	if ( is_admin_bar_showing() )
  		$classes[] = 'admin-bar';
  
+ 	if ( get_background_image() || get_background_color() )
+ 		$classes[] = 'custom-background';
+ 
  	$page = $wp_query->get( 'page' );
  
  	if ( !$page || $page < 2)
***************
*** 562,568 ****
  	if ( !isset($_COOKIE['wp-postpass_' . COOKIEHASH]) )
  		return true;
  
! 	if ( $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password )
  		return true;
  
  	return false;
--- 567,573 ----
  	if ( !isset($_COOKIE['wp-postpass_' . COOKIEHASH]) )
  		return true;
  
! 	if ( stripslashes( $_COOKIE['wp-postpass_' . COOKIEHASH] ) != $post->post_password )
  		return true;
  
  	return false;
***************
*** 737,743 ****
  		echo "<ul class='post-meta'>\n";
  		foreach ( (array) $keys as $key ) {
  			$keyt = trim($key);
! 			if ( '_' == $keyt[0] )
  				continue;
  			$values = array_map('trim', get_post_custom_values($key));
  			$value = implode($values,', ');
--- 742,748 ----
  		echo "<ul class='post-meta'>\n";
  		foreach ( (array) $keys as $key ) {
  			$keyt = trim($key);
! 			if ( is_protected_meta( $keyt, 'post' ) )
  				continue;
  			$values = array_map('trim', get_post_custom_values($key));
  			$value = implode($values,', ');
***************
*** 773,785 ****
  
  	$pages = get_pages($r);
  	$output = '';
- 	$name = esc_attr($name);
  	// Back-compat with old system where both id and name were based on $name argument
  	if ( empty($id) )
  		$id = $name;
  
  	if ( ! empty($pages) ) {
! 		$output = "<select name=\"$name\" id=\"$id\">\n";
  		if ( $show_option_no_change )
  			$output .= "\t<option value=\"-1\">$show_option_no_change</option>";
  		if ( $show_option_none )
--- 778,789 ----
  
  	$pages = get_pages($r);
  	$output = '';
  	// Back-compat with old system where both id and name were based on $name argument
  	if ( empty($id) )
  		$id = $name;
  
  	if ( ! empty($pages) ) {
! 		$output = "<select name='" . esc_attr( $name ) . "' id='" . esc_attr( $id ) . "'>\n";
  		if ( $show_option_no_change )
  			$output .= "\t<option value=\"-1\">$show_option_no_change</option>";
  		if ( $show_option_none )
***************
*** 1038,1046 ****
  			$css_class[] = 'current_page_parent';
  		}
  
! 		$css_class = implode(' ', apply_filters('page_css_class', $css_class, $page));
  
! 		$output .= $indent . '<li class="' . $css_class . '"><a href="' . get_permalink($page->ID) . '" title="' . esc_attr( wp_strip_all_tags( apply_filters( 'the_title', $page->post_title, $page->ID ) ) ) . '">' . $link_before . apply_filters( 'the_title', $page->post_title, $page->ID ) . $link_after . '</a>';
  
  		if ( !empty($show_date) ) {
  			if ( 'modified' == $show_date )
--- 1042,1050 ----
  			$css_class[] = 'current_page_parent';
  		}
  
! 		$css_class = implode( ' ', apply_filters( 'page_css_class', $css_class, $page, $depth, $args, $current_page ) );
  
! 		$output .= $indent . '<li class="' . $css_class . '"><a href="' . get_permalink($page->ID) . '">' . $link_before . apply_filters( 'the_title', $page->post_title, $page->ID ) . $link_after . '</a>';
  
  		if ( !empty($show_date) ) {
  			if ( 'modified' == $show_date )
***************
*** 1105,1111 ****
  		if ( $page->ID == $args['selected'] )
  			$output .= ' selected="selected"';
  		$output .= '>';
! 		$title = apply_filters( 'list_pages', $page->post_title );
  		$output .= $pad . esc_html( $title );
  		$output .= "</option>\n";
  	}
--- 1109,1115 ----
  		if ( $page->ID == $args['selected'] )
  			$output .= ' selected="selected"';
  		$output .= '>';
! 		$title = apply_filters( 'list_pages', $page->post_title, $page );
  		$output .= $pad . esc_html( $title );
  		$output .= "</option>\n";
  	}
***************
*** 1148,1174 ****
   * @param string $text Optional, default is false. If string, then will be link text.
   * @return string HTML content.
   */
! function wp_get_attachment_link($id = 0, $size = 'thumbnail', $permalink = false, $icon = false, $text = false) {
! 	$id = intval($id);
  	$_post = & get_post( $id );
  
! 	if ( ('attachment' != $_post->post_type) || !$url = wp_get_attachment_url($_post->ID) )
! 		return __('Missing Attachment');
  
  	if ( $permalink )
! 		$url = get_attachment_link($_post->ID);
  
! 	$post_title = esc_attr($_post->post_title);
  
! 	if ( $text ) {
! 		$link_text = esc_attr($text);
! 	} elseif ( ( is_int($size) && $size != 0 ) or ( is_string($size) && $size != 'none' ) or $size != false ) {
! 		$link_text = wp_get_attachment_image($id, $size, $icon);
! 	} else {
  		$link_text = '';
- 	}
  
! 	if( trim($link_text) == '' )
  		$link_text = $_post->post_title;
  
  	return apply_filters( 'wp_get_attachment_link', "<a href='$url' title='$post_title'>$link_text</a>", $id, $size, $permalink, $icon, $text );
--- 1152,1177 ----
   * @param string $text Optional, default is false. If string, then will be link text.
   * @return string HTML content.
   */
! function wp_get_attachment_link( $id = 0, $size = 'thumbnail', $permalink = false, $icon = false, $text = false ) {
! 	$id = intval( $id );
  	$_post = & get_post( $id );
  
! 	if ( empty( $_post ) || ( 'attachment' != $_post->post_type ) || ! $url = wp_get_attachment_url( $_post->ID ) )
! 		return __( 'Missing Attachment' );
  
  	if ( $permalink )
! 		$url = get_attachment_link( $_post->ID );
  
! 	$post_title = esc_attr( $_post->post_title );
  
! 	if ( $text )
! 		$link_text = esc_attr( $text );
! 	elseif ( $size && 'none' != $size )
! 		$link_text = wp_get_attachment_image( $id, $size, $icon );
! 	else
  		$link_text = '';
  
! 	if ( trim( $link_text ) == '' )
  		$link_text = $_post->post_title;
  
  	return apply_filters( 'wp_get_attachment_link', "<a href='$url' title='$post_title'>$link_text</a>", $id, $size, $permalink, $icon, $text );
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/post-thumbnail-template.php ./wordpress-3.3/wp-includes/post-thumbnail-template.php
*** ./wordpress-3.2.1/wp-includes/post-thumbnail-template.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/post-thumbnail-template.php	2011-10-20 10:11:49.000000000 -0500
***************
*** 18,24 ****
   * @return bool Whether post has an image attached.
   */
  function has_post_thumbnail( $post_id = null ) {
- 	$post_id = ( null === $post_id ) ? get_the_ID() : $post_id;
  	return (bool) get_post_thumbnail_id( $post_id );
  }
  
--- 18,23 ----
***************
*** 50,56 ****
  /**
   * Update cache for thumbnails in the current loop
   *
!  * @sicne 3.2
   */
  function update_post_thumbnail_cache() {
  	global $wp_query;
--- 49,55 ----
  /**
   * Update cache for thumbnails in the current loop
   *
!  * @since 3.2
   */
  function update_post_thumbnail_cache() {
  	global $wp_query;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/query.php ./wordpress-3.3/wp-includes/query.php
*** ./wordpress-3.2.1/wp-includes/query.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/query.php	2011-11-23 18:20:21.000000000 -0600
***************
*** 89,95 ****
   */
  function &query_posts($query) {
  	unset($GLOBALS['wp_query']);
! 	$GLOBALS['wp_query'] =& new WP_Query();
  	return $GLOBALS['wp_query']->query($query);
  }
  
--- 89,95 ----
   */
  function &query_posts($query) {
  	unset($GLOBALS['wp_query']);
! 	$GLOBALS['wp_query'] = new WP_Query();
  	return $GLOBALS['wp_query']->query($query);
  }
  
***************
*** 105,111 ****
   */
  function wp_reset_query() {
  	unset($GLOBALS['wp_query']);
! 	$GLOBALS['wp_query'] =& $GLOBALS['wp_the_query'];
  	wp_reset_postdata();
  }
  
--- 105,111 ----
   */
  function wp_reset_query() {
  	unset($GLOBALS['wp_query']);
! 	$GLOBALS['wp_query'] = $GLOBALS['wp_the_query'];
  	wp_reset_postdata();
  }
  
***************
*** 715,720 ****
--- 715,732 ----
  	return $wp_query->is_404();
  }
  
+ /**
+  * Is the query the main query?
+  *
+  * @since 3.3.0
+  *
+  * @return bool
+  */
+ function is_main_query() {
+ 	global $wp_query;
+ 	return $wp_query->is_main_query();
+ }
+ 
  /*
   * The Loop.  Post loop control.
   */
***************
*** 1826,1832 ****
  		}
  
  		if ( !empty($q['tag_slug__in']) ) {
! 			$q['tag_slug__in'] = array_map('sanitize_title', array_unique( (array) $q['tag_slug__in'] ) );
  			$tax_query[] = array(
  				'taxonomy' => 'post_tag',
  				'terms' => $q['tag_slug__in'],
--- 1838,1844 ----
  		}
  
  		if ( !empty($q['tag_slug__in']) ) {
! 			$q['tag_slug__in'] = array_map('sanitize_title_for_query', array_unique( (array) $q['tag_slug__in'] ) );
  			$tax_query[] = array(
  				'taxonomy' => 'post_tag',
  				'terms' => $q['tag_slug__in'],
***************
*** 1835,1841 ****
  		}
  
  		if ( !empty($q['tag_slug__and']) ) {
! 			$q['tag_slug__and'] = array_map('sanitize_title', array_unique( (array) $q['tag_slug__and'] ) );
  			$tax_query[] = array(
  				'taxonomy' => 'post_tag',
  				'terms' => $q['tag_slug__and'],
--- 1847,1853 ----
  		}
  
  		if ( !empty($q['tag_slug__and']) ) {
! 			$q['tag_slug__and'] = array_map('sanitize_title_for_query', array_unique( (array) $q['tag_slug__and'] ) );
  			$tax_query[] = array(
  				'taxonomy' => 'post_tag',
  				'terms' => $q['tag_slug__and'],
***************
*** 2137,2143 ****
  		if ( intval($q['comments_popup']) )
  			$q['p'] = absint($q['comments_popup']);
  
! 		// If an attachment is requested by number, let it supercede any post number.
  		if ( $q['attachment_id'] )
  			$q['p'] = absint($q['attachment_id']);
  
--- 2149,2155 ----
  		if ( intval($q['comments_popup']) )
  			$q['p'] = absint($q['comments_popup']);
  
! 		// If an attachment is requested by number, let it supersede any post number.
  		if ( $q['attachment_id'] )
  			$q['p'] = absint($q['attachment_id']);
  
***************
*** 2288,2294 ****
  				if ( $q['author_name'][ count($q['author_name'])-1 ] ) {
  					$q['author_name'] = $q['author_name'][count($q['author_name'])-1]; // no trailing slash
  				} else {
! 					$q['author_name'] = $q['author_name'][count($q['author_name'])-2]; // there was a trailling slash
  				}
  			}
  			$q['author_name'] = sanitize_title_for_query( $q['author_name'] );
--- 2300,2306 ----
  				if ( $q['author_name'][ count($q['author_name'])-1 ] ) {
  					$q['author_name'] = $q['author_name'][count($q['author_name'])-1]; // no trailing slash
  				} else {
! 					$q['author_name'] = $q['author_name'][count($q['author_name'])-2]; // there was a trailing slash
  				}
  			}
  			$q['author_name'] = sanitize_title_for_query( $q['author_name'] );
***************
*** 2317,2323 ****
  			$orderby = '';
  		} else {
  			// Used to filter values
! 			$allowed_keys = array('author', 'date', 'title', 'modified', 'menu_order', 'parent', 'ID', 'rand', 'comment_count');
  			if ( !empty($q['meta_key']) ) {
  				$allowed_keys[] = $q['meta_key'];
  				$allowed_keys[] = 'meta_value';
--- 2329,2335 ----
  			$orderby = '';
  		} else {
  			// Used to filter values
! 			$allowed_keys = array('name', 'author', 'date', 'title', 'modified', 'menu_order', 'parent', 'ID', 'rand', 'comment_count');
  			if ( !empty($q['meta_key']) ) {
  				$allowed_keys[] = $q['meta_key'];
  				$allowed_keys[] = 'meta_value';
***************
*** 2373,2385 ****
  				$post_type_cap = $post_type;
  		}
  
- 		$exclude_post_types = '';
- 		$in_search_post_types = get_post_types( array('exclude_from_search' => false) );
- 		if ( ! empty( $in_search_post_types ) )
- 			$exclude_post_types .= $wpdb->prepare(" AND $wpdb->posts.post_type IN ('" . join("', '", $in_search_post_types ) . "')");
- 
  		if ( 'any' == $post_type ) {
! 			$where .= $exclude_post_types;
  		} elseif ( !empty( $post_type ) && is_array( $post_type ) ) {
  			$where .= " AND $wpdb->posts.post_type IN ('" . join("', '", $post_type) . "')";
  		} elseif ( ! empty( $post_type ) ) {
--- 2385,2394 ----
  				$post_type_cap = $post_type;
  		}
  
  		if ( 'any' == $post_type ) {
! 			$in_search_post_types = get_post_types( array('exclude_from_search' => false) );
! 			if ( ! empty( $in_search_post_types ) )
! 				$where .= $wpdb->prepare(" AND $wpdb->posts.post_type IN ('" . join("', '", $in_search_post_types ) . "')");
  		} elseif ( !empty( $post_type ) && is_array( $post_type ) ) {
  			$where .= " AND $wpdb->posts.post_type IN ('" . join("', '", $post_type) . "')";
  		} elseif ( ! empty( $post_type ) ) {
***************
*** 2733,2741 ****
  
  		$this->post_count = count($this->posts);
  
! 		// Sanitize before caching so it'll only get done once
! 		for ( $i = 0; $i < $this->post_count; $i++ ) {
! 			$this->posts[$i] = sanitize_post($this->posts[$i], 'raw');
  		}
  
  		if ( $q['cache_results'] )
--- 2742,2750 ----
  
  		$this->post_count = count($this->posts);
  
! 		// Always sanitize
! 		foreach ( $this->posts as $i => $post ) {
! 			$this->posts[$i] = sanitize_post( $post, 'raw' );
  		}
  
  		if ( $q['cache_results'] )
***************
*** 3467,3472 ****
--- 3476,3493 ----
  	function is_404() {
  		return (bool) $this->is_404;
  	}
+ 
+ 	/**
+ 	 * Is the query the main query?
+ 	 *
+ 	 * @since 3.3.0
+ 	 *
+ 	 * @return bool
+ 	 */
+ 	function is_main_query() {
+ 		global $wp_the_query;
+ 		return $wp_the_query === $this;
+ 	}
  }
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/rewrite.php ./wordpress-3.3/wp-includes/rewrite.php
*** ./wordpress-3.2.1/wp-includes/rewrite.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/rewrite.php	2011-11-17 12:43:33.000000000 -0600
***************
*** 312,317 ****
--- 313,325 ----
  			$request_match = $url . '/' . $request;
  
  		if ( preg_match("!^$match!", $request_match, $matches) ) {
+ 
+ 			if ( $wp_rewrite->use_verbose_page_rules && preg_match( '/pagename=\$matches\[([0-9]+)\]/', $query, $varmatch ) ) {
+ 				// this is a verbose page match, lets check to be sure about it
+ 				if ( ! get_page_by_path( $matches[ $varmatch[1] ] ) )
+ 					continue;
+ 			}
+ 
  			// Got a match.
  			// Trim the query of everything up to the '?'.
  			$query = preg_replace("!^.+\?!", '', $query);
***************
*** 813,841 ****
  		$rewrite_rules = array();
  		$page_structure = $this->get_page_permastruct();
  
! 		if ( ! $this->use_verbose_page_rules ) {
! 			$this->add_rewrite_tag('%pagename%', "(.+?)", 'pagename=');
! 			$rewrite_rules = array_merge($rewrite_rules, $this->generate_rewrite_rules($page_structure, EP_PAGES));
! 			return $rewrite_rules;
! 		}
! 
! 		$page_uris = $this->page_uri_index();
! 		$uris = $page_uris[0];
! 		$attachment_uris = $page_uris[1];
! 
! 		if ( is_array( $attachment_uris ) ) {
! 			foreach ( $attachment_uris as $uri => $pagename ) {
! 				$this->add_rewrite_tag('%pagename%', "($uri)", 'attachment=');
! 				$rewrite_rules = array_merge($rewrite_rules, $this->generate_rewrite_rules($page_structure, EP_PAGES));
! 			}
! 		}
! 		if ( is_array( $uris ) ) {
! 			foreach ( $uris as $uri => $pagename ) {
! 				$this->add_rewrite_tag('%pagename%', "($uri)", 'pagename=');
! 				$rewrite_rules = array_merge($rewrite_rules, $this->generate_rewrite_rules($page_structure, EP_PAGES));
! 			}
! 		}
! 
  		return $rewrite_rules;
  	}
  
--- 821,829 ----
  		$rewrite_rules = array();
  		$page_structure = $this->get_page_permastruct();
  
! 		// the extra .? at the beginning prevents clashes with other regular expressions in the rules array
! 		$this->add_rewrite_tag('%pagename%', "(.?.+?)", 'pagename=');
! 		$rewrite_rules = array_merge($rewrite_rules, $this->generate_rewrite_rules($page_structure, EP_PAGES));
  		return $rewrite_rules;
  	}
  
***************
*** 1276,1282 ****
  			$num_toks = preg_match_all('/%.+?%/', $struct, $toks);
  
  			//get the 'tagname=$matches[i]'
! 			$query = ( isset($queries) && is_array($queries) ) ? $queries[$num_toks - 1] : '';
  
  			//set up $ep_mask_specific which is used to match more specific URL types
  			switch ( $dirs[$j] ) {
--- 1264,1270 ----
  			$num_toks = preg_match_all('/%.+?%/', $struct, $toks);
  
  			//get the 'tagname=$matches[i]'
! 			$query = ( isset($queries) && is_array($queries) && !empty($num_toks) ) ? $queries[$num_toks - 1] : '';
  
  			//set up $ep_mask_specific which is used to match more specific URL types
  			switch ( $dirs[$j] ) {
***************
*** 1498,1510 ****
  		$home_path = parse_url( home_url() );
  		$robots_rewrite = ( empty( $home_path['path'] ) || '/' == $home_path['path'] ) ? array( 'robots\.txt$' => $this->index . '?robots=1' ) : array();
  
! 		// Default Feed rules - These are require to allow for the direct access files to work with permalink structure starting with %category%
! 		$default_feeds = array(	'.*wp-atom.php$'	=>	$this->index . '?feed=atom',
! 								'.*wp-rdf.php$'		=>	$this->index . '?feed=rdf',
! 								'.*wp-rss.php$'		=>	$this->index . '?feed=rss',
! 								'.*wp-rss2.php$'	=>	$this->index . '?feed=rss2',
! 								'.*wp-feed.php$'	=>	$this->index . '?feed=feed',
! 								'.*wp-commentsrss2.php$'	=>	$this->index . '?feed=rss2&withcomments=1');
  
  		// Registration rules
  		$registration_pages = array();
--- 1486,1493 ----
  		$home_path = parse_url( home_url() );
  		$robots_rewrite = ( empty( $home_path['path'] ) || '/' == $home_path['path'] ) ? array( 'robots\.txt$' => $this->index . '?robots=1' ) : array();
  
! 		// Old feed files
! 		$old_feed_files = array( '.*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\.php$' => $this->index . '?feed=old' );
  
  		// Registration rules
  		$registration_pages = array();
***************
*** 1558,1566 ****
  
  		// Put them together.
  		if ( $this->use_verbose_page_rules )
! 			$this->rules = array_merge($this->extra_rules_top, $robots_rewrite, $default_feeds, $registration_pages, $page_rewrite, $root_rewrite, $comments_rewrite, $search_rewrite,  $author_rewrite, $date_rewrite, $post_rewrite, $this->extra_rules);
  		else
! 			$this->rules = array_merge($this->extra_rules_top, $robots_rewrite, $default_feeds, $registration_pages, $root_rewrite, $comments_rewrite, $search_rewrite,  $author_rewrite, $date_rewrite, $post_rewrite, $page_rewrite, $this->extra_rules);
  
  		do_action_ref_array('generate_rewrite_rules', array(&$this));
  		$this->rules = apply_filters('rewrite_rules_array', $this->rules);
--- 1541,1549 ----
  
  		// Put them together.
  		if ( $this->use_verbose_page_rules )
! 			$this->rules = array_merge($this->extra_rules_top, $robots_rewrite, $old_feed_files, $registration_pages, $root_rewrite, $comments_rewrite, $search_rewrite,  $author_rewrite, $date_rewrite, $page_rewrite, $post_rewrite, $this->extra_rules);
  		else
! 			$this->rules = array_merge($this->extra_rules_top, $robots_rewrite, $old_feed_files, $registration_pages, $root_rewrite, $comments_rewrite, $search_rewrite,  $author_rewrite, $date_rewrite, $post_rewrite, $page_rewrite, $this->extra_rules);
  
  		do_action_ref_array('generate_rewrite_rules', array(&$this));
  		$this->rules = apply_filters('rewrite_rules_array', $this->rules);
***************
*** 1756,1762 ****
  				</rule>
  				<rule name="wordpress - Rule 5" stopProcessing="true">
  					<match url="^([_0-9a-zA-Z-]+/)?(wp-(content|admin|includes).*)" ignoreCase="false" />
! 					<action type="Rewrite" url="{R:2}" />
  				</rule>
  				<rule name="wordpress - Rule 6" stopProcessing="true">
  					<match url="^([_0-9a-zA-Z-]+/)?(.*\.php)$" ignoreCase="false" />
--- 1739,1745 ----
  				</rule>
  				<rule name="wordpress - Rule 5" stopProcessing="true">
  					<match url="^([_0-9a-zA-Z-]+/)?(wp-(content|admin|includes).*)" ignoreCase="false" />
! 					<action type="Rewrite" url="{R:1}" />
  				</rule>
  				<rule name="wordpress - Rule 6" stopProcessing="true">
  					<match url="^([_0-9a-zA-Z-]+/)?(.*\.php)$" ignoreCase="false" />
